import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  name: z.string(),
  email: z.string().optional().nullable(),
  role: z.string(),
  phone: z.string().optional().nullable(),
  createdAt: z.coerce.date().optional()
}).strict();
export const StaffCreateManyInputObjectSchema: z.ZodType<Prisma.StaffCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffCreateManyInput>;
export const StaffCreateManyInputObjectZodSchema = makeSchema();
